import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/extendfield/` + url, ...arg)

/**
 * 扩展字段配置Api接口管理器
 *
 * @author Luck
 * @date  2024/07/28 17:18
 **/
export default {
	// 获取扩展字段配置分页
	extendFieldPage(data) {
		return request('page', data, 'get')
	},
	// 提交扩展字段配置表单 edit为true时为编辑，默认为新增
	extendFieldSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 获取扩展字段配置详情
	extendFieldDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取扩展字段配置列表（根据分类）
	extendFieldTypeList(data) {
		return request('typeList', data, 'get')
	}
}
